package _04_常见算法;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 冒泡排序
         * 数组元素: {5,1,2,3,4}
         *
         *  第一轮把最大值放到最右侧
         */
        // 1 定义一个数组
        int[] arr = {1,30,5,6,7,89,34,77,22};
        // 2 遍历数组 那相邻元素进行比较
        // 第一轮比较
        for (int j = 0; j < arr.length - 1; j++) {
            for (int i = 0; i < arr.length -1 -j; i++) {
                // arr[i] 和 arr[i + 1]
                if(arr[i] > arr[i+1]){
                    int temp = arr[i];
                    arr[i] = arr[i+1];
                    arr[i+1] = temp;
                }
            }
        }


        for (int i = 0; i < arr.length; i++) {
            System.out.print(arr[i]+"  ");
        }

    }
}
